## org.exist.xmldb
Interface DatabaseInstanceManager

All Superinterfaces:
  Configurable, Service

All Known Implementing Classes:
  LocalDatabaseInstanceManager, RemoteDatabaseInstanceManager

public interface DatabaseInstanceManager
extends Service

A service to manage the database instance. The service defines a single method shutdown() to shut down the database instance used by the current driver.

Method Summary
`DatabaseStatus` `getStatus()`
`boolean` `isLocalInstance()` Returns true if the database instance is running local, i.e.
`boolean` `isXACMLEnabled()` Returns true if XACML is enabled for the database instance.
`void` `shutdown()` Immediately shutdown the current database instance.
`void` `shutdown(long delay)` Shutdown the current database instance after the specified delay (in milliseconds).

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### shutdown

    public void shutdown()
                  throws XMLDBException

  Immediately shutdown the current database instance. This current user should be a member of the "dba" group or an exception will be thrown.

  Throws:
    `XMLDBException`

### shutdown

    public void shutdown(long delay)
                  throws XMLDBException

  Shutdown the current database instance after the specified delay (in milliseconds). This current user should be a member of the "dba" group or an exception will be thrown.

  Throws:
    `XMLDBException`

### getStatus

    public DatabaseStatus getStatus()
                             throws XMLDBException

  Throws:
    `XMLDBException`

### isLocalInstance

    public boolean isLocalInstance()

  Returns true if the database instance is running local, i.e. in the same thread as this service.

  Returns:
    true if the database instance is running local

### isXACMLEnabled

    public boolean isXACMLEnabled()
                           throws XMLDBException

  Returns true if XACML is enabled for the database instance.

  Returns:
    True if XACML is enabled
  Throws:
    `XMLDBException`

Copyright (C) Wolfgang Meier. All rights reserved.